
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.cheese.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLClientSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.block.Block;

import net.mcreator.cheese.block.WensleydaleBricksBlock;
import net.mcreator.cheese.block.WaxBlockBlock;
import net.mcreator.cheese.block.PepperPlantBlock;
import net.mcreator.cheese.block.MilkweedBlock;
import net.mcreator.cheese.block.GoudaBlockBlock;
import net.mcreator.cheese.block.GarlicPlantBlock;
import net.mcreator.cheese.block.CurdBlockBlock;
import net.mcreator.cheese.block.CrispedCurdBlockBlock;
import net.mcreator.cheese.block.CheeseOreBlock;
import net.mcreator.cheese.block.CheeseIngotBlockBlock;
import net.mcreator.cheese.CheeseMod;

public class CheeseModBlocks {
	public static final DeferredRegister<Block> REGISTRY = DeferredRegister.create(ForgeRegistries.BLOCKS, CheeseMod.MODID);
	public static final RegistryObject<Block> CHEESE_ORE = REGISTRY.register("cheese_ore", () -> new CheeseOreBlock());
	public static final RegistryObject<Block> CHEESE_INGOT_BLOCK = REGISTRY.register("cheese_ingot_block", () -> new CheeseIngotBlockBlock());
	public static final RegistryObject<Block> WENSLEYDALE_BRICKS = REGISTRY.register("wensleydale_bricks", () -> new WensleydaleBricksBlock());
	public static final RegistryObject<Block> CURD_BLOCK = REGISTRY.register("curd_block", () -> new CurdBlockBlock());
	public static final RegistryObject<Block> CRISPED_CURD_BLOCK = REGISTRY.register("crisped_curd_block", () -> new CrispedCurdBlockBlock());
	public static final RegistryObject<Block> GOUDA_BLOCK = REGISTRY.register("gouda_block", () -> new GoudaBlockBlock());
	public static final RegistryObject<Block> WAX_BLOCK = REGISTRY.register("wax_block", () -> new WaxBlockBlock());
	public static final RegistryObject<Block> GARLIC_PLANT = REGISTRY.register("garlic_plant", () -> new GarlicPlantBlock());
	public static final RegistryObject<Block> PEPPER_PLANT = REGISTRY.register("pepper_plant", () -> new PepperPlantBlock());
	public static final RegistryObject<Block> MILKWEED = REGISTRY.register("milkweed", () -> new MilkweedBlock());

	@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class ClientSideHandler {
		@SubscribeEvent
		public static void clientSetup(FMLClientSetupEvent event) {
			GarlicPlantBlock.registerRenderLayer();
			PepperPlantBlock.registerRenderLayer();
			MilkweedBlock.registerRenderLayer();
		}
	}
}
